Bug 1262469 - Review Request: php-patchwork-utf8 - Portable and performant UTF-8, Unicode and Grapheme Clusters for PHP
Review Request: php-patchwork-utf8 - Portable and performant UTF-8, Unicode a...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1262185
  Show dependency treegraph
 
Reported: 2015-09-11 16:02 EDT by Shawn Iwinski
Modified: 2016-08-14 12:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-05 14:14:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
phpci.log (26.34 KB, text/plain)
2015-09-14 02:32 EDT, Remi Collet
no flags Details
phpci.log (7.11 KB, text/plain)
2015-09-14 02:32 EDT, Remi Collet
no flags Details

  None (edit)
Description Shawn Iwinski 2015-09-11 16:02:25 EDT
Spec URL: https://raw.githubusercontent.com/siwinski/rpms/db67e4b7451d1c963dc4437170aa77a1ce69ab00/php-patchwork-utf8/php-patchwork-utf8.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-patchwork-utf8-1.2.3-1.fc22.src.rpm

Description:
Portable and performant UTF-8, Unicode and Grapheme Clusters for PHP


Fedora Account System Username: siwinski
Comment 1 Remi Collet 2015-09-14 02:32:05 EDT
Created attachment 1073081 [details]
phpci.log

phpCompatInfo version 4.4.0 DB built Jul 20 2015 15:09:02 CEST static analyze results
Comment 2 Remi Collet 2015-09-14 02:32:40 EDT
Created attachment 1073082 [details]
phpci.log

Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Comment 3 Remi Collet 2015-09-14 02:38:05 EDT
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
  => mandatory for ASL 2.0

Please file an upstream bug and add link in .spec

Notice: as you have a link to both license texts in file headers, I think it is ok to use it as a "source" for the package ("Package does not include license text files separate from upstream." doesn't apply in this case). But of course, habing upstream file seems the best solution.

IN composer.json
        "classmap": ["src/Normalizer.php"]
I think this is only a compat file, seems fine to ignore this one.
Comment 4 Shawn Iwinski 2015-09-19 17:07:25 EDT
(In reply to Remi Collet from comment #3)
> [!]: If the source package does not include license text(s) as a separate
>      file from upstream, the packager SHOULD query upstream to include it.
>   => mandatory for ASL 2.0
> 
> Please file an upstream bug and add link in .spec
> 
> Notice: as you have a link to both license texts in file headers, I think it
> is ok to use it as a "source" for the package ("Package does not include
> license text files separate from upstream." doesn't apply in this case). But
> of course, habing upstream file seems the best solution.

Thanks! Updated.

Upstream request: https://github.com/tchwork/utf8/pull/50

Spec diff: https://github.com/siwinski/rpms/commit/ff7ce3ee4ddc259f69bd62083087f9f2cf2116cc#diff-1



> IN composer.json
>         "classmap": ["src/Normalizer.php"]
> I think this is only a compat file, seems fine to ignore this one.

Yes, that is just a compat file for when the intl extension is not available but it is specified as a requirement of this package.



Spec URL: https://raw.githubusercontent.com/siwinski/rpms/ff7ce3ee4ddc259f69bd62083087f9f2cf2116cc/php-patchwork-utf8/php-patchwork-utf8.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-patchwork-utf8-1.2.3-2.fc22.src.rpm
Comment 5 Remi Collet 2015-09-20 11:53:37 EDT
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.

=== APPROVED ===
Comment 6 Shawn Iwinski 2015-09-20 17:50:41 EDT
THANKS for the review!



New Package SCM Request
=======================
Package Name: php-patchwork-utf8
Short Description: Portable and performant UTF-8, Unicode and Grapheme Clusters for PHP
Upstream URL: https://github.com/tchwork/utf8
Owners: siwinski
Branches: f21 f22 f23 epel7
InitialCC:
Comment 7 Gwyn Ciesla 2015-09-21 14:00:50 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2015-09-24 08:39:24 EDT
php-patchwork-utf8-1.2.3-3.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16597
Comment 9 Fedora Update System 2015-09-24 08:39:24 EDT
php-patchwork-utf8-1.2.3-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16598
Comment 10 Fedora Update System 2015-09-24 08:39:31 EDT
php-patchwork-utf8-1.2.3-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8219
Comment 11 Fedora Update System 2015-09-24 08:39:37 EDT
php-patchwork-utf8-1.2.3-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16599
Comment 12 Fedora Update System 2015-09-25 10:22:57 EDT
php-patchwork-utf8-1.2.3-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-patchwork-utf8'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8219
Comment 13 Fedora Update System 2015-09-25 11:20:24 EDT
php-patchwork-utf8-1.2.3-3.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-patchwork-utf8'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16597
Comment 14 Fedora Update System 2015-09-25 12:33:19 EDT
php-patchwork-utf8-1.2.3-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-patchwork-utf8'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16599
Comment 15 Fedora Update System 2015-09-26 20:38:56 EDT
php-patchwork-utf8-1.2.3-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-patchwork-utf8'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16598
Comment 16 Fedora Update System 2015-10-05 14:14:54 EDT
php-patchwork-utf8-1.2.3-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2015-10-05 17:54:08 EDT
php-patchwork-utf8-1.2.3-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2015-10-05 18:49:56 EDT
php-patchwork-utf8-1.2.3-3.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2015-10-12 15:59:36 EDT
php-patchwork-utf8-1.2.3-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.